#!/usr/bin/env ruby

require "numru/ggraph"
include NumRu

file = "sp-antisym-per-bg.nc"
var = "sd"
xvar = "k"
yvar = "freq"
ymin = 0
ymax = 0.8
xmin = -15
xmax = 15
xintval = 1
yintval = 1
gphys =  GPhys::IO.open_gturl("#{file}@#{var},#{yvar}=#{ymin}:#{ymax}:#{yintval},#{xvar}=#{xmin}:#{xmax}:#{xintval}")
interval = nil
rangemin = -1
rangemax = 0.5
wsn = 4

DCL.swcset('fname', $0.split(".")[0])
DCL.swpset('ldump', true)
DCL.swpset('lwait', false)
DCL.swpset('lwait1', false)
DCL.swpset('lalt', true)
DCL.swiset('iwidth', 600)
DCL.swiset('iheight', 600)
DCL.uzfact(1.0)
#DCL.sgscmn(5)                # set colormap
DCL.gropn(wsn)
#DCL.sldiv('y',3,2)           # 2x2˲ʬ, 'y'=yoko: 墪墪...
DCL.sgpset('lcntl', true)   # ʸ᤹
DCL.sgpset('lfull',true)     # ɽ
DCL.sgpset('lfprop',true)    # ץݡʥեȤȤ
#DCL.udpset('lmsg',false)     # 󥿡ֳɽ

vp = [0.2,0.8,0.2,0.8] # [vxmin, vxmax, vymin, vymax]

GGraph.set_fig('viewport'=>vp)

GGraph.set_linear_tone_options( 'int' => interval,
	'min'=>rangemin, 'max'=>rangemax )

#GGraph.set_axes('xtitle'=> 'k', 
#                'ytitle'=> 'frequency')

GGraph.tone( gphys.log , true, 'title'=>"" )
#GGraph.contour( gphys, false, )

#GGraph::color_bar('left'=>true, 'landscape'=>true )

DCL.grcls

